local path = vim.fs.find({ "Cargo.toml" }, { type = "file" })
local root = vim.fs.dirname(path[1])

vim.lsp.start({
  name     = "rust-analyzer",
  cmd      = { "rust-analyzer" },
  root_dir = root,
  settings = {
    ["rust-analyzer"] = {
      procMacro = {
        enable = true
      },
      checkOnSave = {
        command = "clippy"
      },
    },
  },
})
